PUT announcements Id

PUT/announcements/{id}
AuthorizationBearer <token>

Paste your JWT token here

In: header

Path Parameters

idinteger

The unique identifier of the announcement to update.

Formatint32

The data transfer object containing the updated announcement data.

titlestring

The title of the announcement.

Length0 <= length <= 100
contentstring

The content of the announcement.

Length0 <= length <= 1000

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/announcements/0" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "content": "string"  }'
Empty
{
  "message": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}